{
  "accUserMode" : 2,
  "getCapPSLanguageRes" : {
    "lanResTag" : "DE.LNAME.IBIZBOOK",
    "mOSFilePath" : "pslanguageres/Auto395",
    "rTMOSFilePath" : "pslanguageres/Auto395"
  },
  "caption" : "底部步骤条",
  "codeName" : "IBIZBOOKUsrWizardView_plugin",
  "dynaModelFilePath" : "PSSYSAPPS/Web/PSAPPDEVIEWS/IBIZBOOKUsrWizardView_plugin.json",
  "mOSFilePath" : "pssysapps/Web/psappdeviews/IBIZBOOKUsrWizardView_plugin",
  "name" : "IBIZBOOKUsrWizardView_plugin",
  "getPSAppDataEntity" : {
    "modelref" : true,
    "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZBOOK.json"
  },
  "getPSAppModule" : {
    "modelref" : true,
    "path" : "PSSYSAPPS/Web/PSAPPMODULES/Sample.json"
  },
  "getPSAppViewEngines" : [ {
    "engineCat" : "VIEW",
    "engineType" : "WizardView",
    "mOSFilePath" : "pssysapps/Web/psappdeviews/IBIZBOOKUsrWizardView_plugin/psappviewengines/engine",
    "name" : "engine",
    "getPSUIEngineParams" : [ {
      "ctrlName" : "wizardpanel",
      "name" : "WIZARDPANEL",
      "paramType" : "CTRL"
    } ]
  } ],
  "getPSControls" : [ {
    "codeName" : "guide",
    "controlType" : "WIZARDPANEL",
    "dynaModelFilePath" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZBOOK/PSWIZARDPANELS/guide.json",
    "getFinishPSControlAction" : {
      "modelref" : true,
      "id" : "finish"
    },
    "hookEventNames" : [ "FINISH" ],
    "getInitPSControlAction" : {
      "modelref" : true,
      "id" : "init"
    },
    "logicName" : "图书向导",
    "mOSFilePath" : "psmodules/Sample/psdataentities/IBIZBOOK/psdewizardpanels/guide",
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZBOOK.json"
    },
    "getPSControlHandler" : {
      "getPSHandlerActions" : [ {
        "actionName" : "init",
        "actionType" : "DEACTION",
        "name" : "init",
        "getPSAppDEMethod" : {
          "modelref" : true,
          "id" : "Init"
        },
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZBOOK.json"
        }
      }, {
        "actionName" : "finish",
        "actionType" : "DEACTION",
        "name" : "finish",
        "getPSAppDEMethod" : {
          "modelref" : true,
          "id" : "Finish"
        },
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZBOOK.json"
        }
      } ],
      "enableDEFieldPrivilege" : false,
      "id" : "wizardpanel"
    },
    "getPSControlLogics" : [ {
      "eventNames" : "FINISH",
      "logicTag" : "wizardpanel",
      "logicType" : "APPVIEWENGINE",
      "name" : "engine_wizardpanel",
      "getPSAppViewEngine" : {
        "modelref" : true,
        "id" : "engine"
      }
    } ],
    "getPSControlParam" : {
      "autoLoad" : true,
      "showBusyIndicator" : true,
      "id" : "WIZARDPANEL"
    },
    "getPSDEEditForms" : [ {
      "codeName" : "GuideViewForm",
      "controlType" : "FORM",
      "defaultLabelWidth" : 130,
      "dynaModelFilePath" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZBOOK/PSFORMS/GuideViewForm.json",
      "formFuncMode" : "WIZARDFORM",
      "getGetPSControlAction" : {
        "modelref" : true,
        "id" : "load"
      },
      "hookEventNames" : [ "SAVE", "LOAD" ],
      "logicName" : "向导表单-查看图书",
      "mOSFilePath" : "psmodules/Sample/psdataentities/IBIZBOOK/psdeform_editforms/GuideViewForm",
      "getPSAppDataEntity" : {
        "modelref" : true,
        "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZBOOK.json"
      },
      "getPSControlHandler" : {
        "getPSHandlerActions" : [ {
          "actionName" : "Get",
          "actionType" : "DEACTION",
          "name" : "load",
          "getPSAppDEMethod" : {
            "modelref" : true,
            "id" : "Get"
          },
          "getPSAppDataEntity" : {
            "modelref" : true,
            "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZBOOK.json"
          }
        }, {
          "actionName" : "Update",
          "actionType" : "DEACTION",
          "name" : "update",
          "getPSAppDEMethod" : {
            "modelref" : true,
            "id" : "Update"
          },
          "getPSAppDataEntity" : {
            "modelref" : true,
            "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZBOOK.json"
          }
        } ],
        "enableDEFieldPrivilege" : false,
        "id" : "wizardpanel_form_FirstForm"
      },
      "getPSControlLogics" : [ {
        "eventNames" : "SAVE",
        "logicTag" : "wizardpanel_form_FirstForm",
        "logicType" : "CUSTOM",
        "name" : "wizardpanel_formsave"
      }, {
        "eventNames" : "LOAD",
        "logicTag" : "wizardpanel_form_FirstForm",
        "logicType" : "CUSTOM",
        "name" : "wizardpanel_formload"
      } ],
      "getPSControlParam" : {
        "getPSDEWizardForm" : {
          "modelref" : true,
          "id" : "步骤一"
        },
        "autoLoad" : true,
        "showBusyIndicator" : true,
        "id" : "wizardpanel_form_FirstForm"
      },
      "getPSDEFormItems" : [ {
        "id" : "srfupdatedate",
        "hidden" : true,
        "dataType" : 5,
        "getPSAppDEField" : {
          "name" : "UPDATEDATE",
          "codeName" : "UpdateDate"
        }
      }, {
        "id" : "srforikey",
        "hidden" : true,
        "dataType" : 25
      }, {
        "id" : "srfkey",
        "hidden" : true,
        "dataType" : 25,
        "getPSAppDEField" : {
          "name" : "IBIZBOOKID",
          "codeName" : "IBIZBOOKId"
        }
      }, {
        "id" : "srfmajortext",
        "hidden" : true,
        "dataType" : 25,
        "getPSAppDEField" : {
          "name" : "IBIZBOOKNAME",
          "codeName" : "IBIZBOOKName"
        }
      }, {
        "id" : "srftempmode",
        "hidden" : true,
        "dataType" : 25
      }, {
        "id" : "srfuf",
        "hidden" : true,
        "dataType" : 25
      }, {
        "id" : "srfdeid",
        "hidden" : true,
        "dataType" : 25
      }, {
        "id" : "srfsourcekey",
        "hidden" : true,
        "dataType" : 25
      }, {
        "id" : "ibizbookname",
        "dataType" : 25,
        "getPSAppDEField" : {
          "name" : "IBIZBOOKNAME",
          "codeName" : "IBIZBOOKName"
        }
      }, {
        "id" : "author",
        "dataType" : 25,
        "getPSAppDEField" : {
          "name" : "AUTHOR",
          "codeName" : "Author"
        }
      }, {
        "id" : "booknumber",
        "dataType" : 9,
        "getPSAppDEField" : {
          "name" : "BOOKNUMBER",
          "codeName" : "Booknumber"
        }
      }, {
        "id" : "press",
        "dataType" : 25,
        "getPSAppDEField" : {
          "name" : "PRESS",
          "codeName" : "Press"
        }
      }, {
        "id" : "price",
        "dataType" : 7,
        "getPSAppDEField" : {
          "name" : "PRICE",
          "codeName" : "Price"
        }
      }, {
        "id" : "stepstatus",
        "hidden" : true,
        "dataType" : 25,
        "getPSAppDEField" : {
          "name" : "STEPSTATUS",
          "codeName" : "Stepstatus"
        }
      }, {
        "id" : "ibizbookid",
        "hidden" : true,
        "dataType" : 25,
        "getPSAppDEField" : {
          "name" : "IBIZBOOKID",
          "codeName" : "IBIZBOOKId"
        }
      } ],
      "getPSDEFormPages" : [ {
        "getCapPSLanguageRes" : {
          "lanResTag" : "CONTROL.DEFORM.IBIZBOOK.GUIDEVIEWFORM.FORMPAGE.FORMPAGE1",
          "mOSFilePath" : "pslanguageres/Auto2055",
          "rTMOSFilePath" : "pslanguageres/Auto2055"
        },
        "caption" : "基本信息",
        "codeName" : "formpage1",
        "detailStyle" : "DEFAULT",
        "detailType" : "FORMPAGE",
        "mOSFilePath" : "psdeformdetail_formpages/formpage1",
        "name" : "formpage1",
        "getPSDEFormDetails" : [ {
          "actionGroupExtractMode" : "ITEM",
          "getCapPSLanguageRes" : {
            "lanResTag" : "CONTROL.DEFORM.IBIZBOOK.GUIDEVIEWFORM.GROUPPANEL.GROUP1",
            "mOSFilePath" : "pslanguageres/Auto602",
            "rTMOSFilePath" : "pslanguageres/Auto602"
          },
          "caption" : "图书基本信息",
          "codeName" : "group1",
          "detailStyle" : "DEFAULT",
          "detailType" : "GROUPPANEL",
          "mOSFilePath" : "psdeformdetail_grouppanels/group1",
          "name" : "group1",
          "getPSDEFormDetails" : [ {
            "getCapPSLanguageRes" : {
              "lanResTag" : "DEF.LNAME.IBIZBOOKNAME",
              "mOSFilePath" : "pslanguageres/Auto1983",
              "rTMOSFilePath" : "pslanguageres/Auto1983"
            },
            "caption" : "图书名称",
            "codeName" : "ibizbookname",
            "dataType" : 25,
            "detailStyle" : "DEFAULT",
            "detailType" : "FORMITEM",
            "enableCond" : 3,
            "ignoreInput" : 0,
            "labelPos" : "LEFT",
            "labelWidth" : 130,
            "mOSFilePath" : "psdeformdetail_formitems/ibizbookname",
            "name" : "ibizbookname",
            "noPrivDisplayMode" : 1,
            "getPSAppDEField" : {
              "name" : "IBIZBOOKNAME",
              "codeName" : "IBIZBOOKName"
            },
            "getPSEditor" : {
              "editorType" : "TEXTBOX",
              "maxLength" : 200,
              "name" : "ibizbookname"
            },
            "getPSLayoutPos" : {
              "colLG" : 8,
              "colMD" : 8,
              "colSM" : 8,
              "colXS" : 8,
              "layout" : "TABLE_24COL"
            },
            "rTMOSFilePath" : "psdeformdetail_formitems/ibizbookname",
            "allowEmpty" : false,
            "showCaption" : true
          }, {
            "getCapPSLanguageRes" : {
              "lanResTag" : "DEF.LNAME.AUTHOR",
              "mOSFilePath" : "pslanguageres/Auto2038",
              "rTMOSFilePath" : "pslanguageres/Auto2038"
            },
            "caption" : "图书作者",
            "codeName" : "author",
            "dataType" : 25,
            "detailStyle" : "DEFAULT",
            "detailType" : "FORMITEM",
            "enableCond" : 3,
            "ignoreInput" : 0,
            "labelPos" : "LEFT",
            "labelWidth" : 130,
            "mOSFilePath" : "psdeformdetail_formitems/author",
            "name" : "author",
            "noPrivDisplayMode" : 1,
            "getPSAppDEField" : {
              "name" : "AUTHOR",
              "codeName" : "Author"
            },
            "getPSEditor" : {
              "editorType" : "TEXTBOX",
              "maxLength" : 100,
              "name" : "author"
            },
            "getPSLayoutPos" : {
              "colLG" : 8,
              "colMD" : 8,
              "colSM" : 8,
              "colXS" : 8,
              "layout" : "TABLE_24COL"
            },
            "rTMOSFilePath" : "psdeformdetail_formitems/author",
            "allowEmpty" : true,
            "showCaption" : true
          }, {
            "getCapPSLanguageRes" : {
              "lanResTag" : "DEF.LNAME.BOOKNUMBER",
              "mOSFilePath" : "pslanguageres/Auto2067",
              "rTMOSFilePath" : "pslanguageres/Auto2067"
            },
            "caption" : "图书数量",
            "codeName" : "booknumber",
            "dataType" : 9,
            "detailStyle" : "DEFAULT",
            "detailType" : "FORMITEM",
            "enableCond" : 3,
            "ignoreInput" : 0,
            "labelPos" : "LEFT",
            "labelWidth" : 130,
            "mOSFilePath" : "psdeformdetail_formitems/booknumber",
            "name" : "booknumber",
            "noPrivDisplayMode" : 1,
            "getPSAppDEField" : {
              "name" : "BOOKNUMBER",
              "codeName" : "Booknumber"
            },
            "getPSEditor" : {
              "editorType" : "TEXTBOX",
              "name" : "booknumber"
            },
            "getPSLayoutPos" : {
              "colLG" : 8,
              "colMD" : 8,
              "colSM" : 8,
              "colXS" : 8,
              "layout" : "TABLE_24COL"
            },
            "rTMOSFilePath" : "psdeformdetail_formitems/booknumber",
            "allowEmpty" : true,
            "showCaption" : true
          }, {
            "getCapPSLanguageRes" : {
              "lanResTag" : "DEF.LNAME.PRESS",
              "mOSFilePath" : "pslanguageres/Auto1827",
              "rTMOSFilePath" : "pslanguageres/Auto1827"
            },
            "caption" : "图书出版社",
            "codeName" : "press",
            "dataType" : 25,
            "detailStyle" : "DEFAULT",
            "detailType" : "FORMITEM",
            "enableCond" : 3,
            "ignoreInput" : 0,
            "labelPos" : "LEFT",
            "labelWidth" : 130,
            "mOSFilePath" : "psdeformdetail_formitems/press",
            "name" : "press",
            "noPrivDisplayMode" : 1,
            "getPSAppDEField" : {
              "name" : "PRESS",
              "codeName" : "Press"
            },
            "getPSEditor" : {
              "editorType" : "TEXTBOX",
              "maxLength" : 100,
              "name" : "press"
            },
            "getPSLayoutPos" : {
              "colLG" : 8,
              "colMD" : 8,
              "colSM" : 8,
              "colXS" : 8,
              "layout" : "TABLE_24COL"
            },
            "rTMOSFilePath" : "psdeformdetail_formitems/press",
            "allowEmpty" : true,
            "showCaption" : true
          }, {
            "getCapPSLanguageRes" : {
              "lanResTag" : "DEF.LNAME.PRICE",
              "mOSFilePath" : "pslanguageres/Auto1925",
              "rTMOSFilePath" : "pslanguageres/Auto1925"
            },
            "caption" : "图书价格",
            "codeName" : "price",
            "dataType" : 7,
            "detailStyle" : "DEFAULT",
            "detailType" : "FORMITEM",
            "enableCond" : 3,
            "ignoreInput" : 0,
            "labelPos" : "LEFT",
            "labelWidth" : 130,
            "mOSFilePath" : "psdeformdetail_formitems/price",
            "name" : "price",
            "noPrivDisplayMode" : 1,
            "getPSAppDEField" : {
              "name" : "PRICE",
              "codeName" : "Price"
            },
            "getPSEditor" : {
              "editorType" : "TEXTBOX",
              "name" : "price",
              "precision" : 2
            },
            "getPSLayoutPos" : {
              "colLG" : 8,
              "colMD" : 8,
              "colSM" : 8,
              "colXS" : 8,
              "layout" : "TABLE_24COL"
            },
            "rTMOSFilePath" : "psdeformdetail_formitems/price",
            "allowEmpty" : true,
            "showCaption" : true
          }, {
            "getCapPSLanguageRes" : {
              "lanResTag" : "DEF.LNAME.STEPSTATUS",
              "mOSFilePath" : "pslanguageres/Auto1959",
              "rTMOSFilePath" : "pslanguageres/Auto1959"
            },
            "caption" : "步骤",
            "codeName" : "stepstatus",
            "dataType" : 25,
            "detailStyle" : "DEFAULT",
            "detailType" : "FORMITEM",
            "enableCond" : 3,
            "ignoreInput" : 0,
            "labelPos" : "LEFT",
            "labelWidth" : 130,
            "mOSFilePath" : "psdeformdetail_formitems/stepstatus",
            "name" : "stepstatus",
            "noPrivDisplayMode" : 1,
            "getPSAppDEField" : {
              "name" : "STEPSTATUS",
              "codeName" : "Stepstatus"
            },
            "getPSEditor" : {
              "editorType" : "HIDDEN",
              "name" : "stepstatus"
            },
            "getPSLayoutPos" : {
              "colLG" : 8,
              "colMD" : 8,
              "colSM" : 8,
              "colXS" : 8,
              "layout" : "TABLE_24COL"
            },
            "rTMOSFilePath" : "psdeformdetail_formitems/stepstatus",
            "allowEmpty" : true,
            "hidden" : true,
            "showCaption" : true
          }, {
            "getCapPSLanguageRes" : {
              "lanResTag" : "DEF.LNAME.IBIZBOOKID",
              "mOSFilePath" : "pslanguageres/Auto1841",
              "rTMOSFilePath" : "pslanguageres/Auto1841"
            },
            "caption" : "图书标识",
            "codeName" : "ibizbookid",
            "dataType" : 25,
            "detailStyle" : "DEFAULT",
            "detailType" : "FORMITEM",
            "enableCond" : 3,
            "ignoreInput" : 0,
            "labelPos" : "LEFT",
            "labelWidth" : 130,
            "mOSFilePath" : "psdeformdetail_formitems/ibizbookid",
            "name" : "ibizbookid",
            "noPrivDisplayMode" : 1,
            "getPSAppDEField" : {
              "name" : "IBIZBOOKID",
              "codeName" : "IBIZBOOKId"
            },
            "getPSEditor" : {
              "editorType" : "HIDDEN",
              "name" : "ibizbookid"
            },
            "getPSLayoutPos" : {
              "colMD" : 24,
              "layout" : "TABLE_24COL"
            },
            "rTMOSFilePath" : "psdeformdetail_formitems/ibizbookid",
            "allowEmpty" : true,
            "hidden" : true,
            "showCaption" : true
          } ],
          "getPSLayout" : {
            "childColLG" : -1,
            "childColMD" : 24,
            "childColSM" : -1,
            "childColXS" : -1,
            "columnCount" : 24,
            "layout" : "TABLE_24COL"
          },
          "getPSLayoutPos" : {
            "colMD" : 24,
            "layout" : "TABLE_24COL"
          },
          "rTMOSFilePath" : "psdeformdetail_grouppanels/group1",
          "infoGroupMode" : false,
          "showCaption" : true
        } ],
        "getPSLayout" : {
          "childColLG" : -1,
          "childColMD" : 24,
          "childColSM" : -1,
          "childColXS" : -1,
          "columnCount" : 24,
          "layout" : "TABLE_24COL"
        },
        "rTMOSFilePath" : "psdeformdetail_formpages/formpage1",
        "infoGroupMode" : false
      } ],
      "getPSDEWizardForm" : {
        "formTag" : "FirstForm",
        "name" : "步骤一",
        "getPSDEFormName" : "向导表单-查看图书",
        "getPSDEWizardStep" : {
          "modelref" : true,
          "id" : "查看图书"
        },
        "stepActions" : [ "NEXT" ],
        "firstForm" : true
      },
      "getPSLayout" : {
        "childColLG" : -1,
        "childColMD" : 24,
        "childColSM" : -1,
        "childColXS" : -1,
        "columnCount" : 24,
        "layout" : "TABLE_24COL"
      },
      "rTMOSFilePath" : "pssysapps/Web/psappdeviews/IBIZBOOKUsrWizardView_plugin/psappviewctrls/wizardpanel_form_FirstForm",
      "tabHeaderPos" : "TOP",
      "getUpdatePSControlAction" : {
        "modelref" : true,
        "id" : "update"
      },
      "noTabHeader" : true,
      "name" : "wizardpanel_form_firstform",
      "modelid" : "577b07b79a932f1746e768c030277ae8",
      "modeltype" : "PSDEFORM_EDITFORM"
    }, {
      "codeName" : "GuideBorrowForm",
      "controlType" : "FORM",
      "defaultLabelWidth" : 130,
      "dynaModelFilePath" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZBOOK/PSFORMS/GuideBorrowForm.json",
      "formFuncMode" : "WIZARDFORM",
      "getGetPSControlAction" : {
        "modelref" : true,
        "id" : "load"
      },
      "hookEventNames" : [ "SAVE", "LOAD" ],
      "logicName" : "向导表单-借阅图书",
      "mOSFilePath" : "psmodules/Sample/psdataentities/IBIZBOOK/psdeform_editforms/GuideBorrowForm",
      "getPSAppDataEntity" : {
        "modelref" : true,
        "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZBOOK.json"
      },
      "getPSControlHandler" : {
        "getPSHandlerActions" : [ {
          "actionName" : "Get",
          "actionType" : "DEACTION",
          "name" : "load",
          "getPSAppDEMethod" : {
            "modelref" : true,
            "id" : "Get"
          },
          "getPSAppDataEntity" : {
            "modelref" : true,
            "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZBOOK.json"
          }
        }, {
          "actionName" : "Update",
          "actionType" : "DEACTION",
          "name" : "update",
          "getPSAppDEMethod" : {
            "modelref" : true,
            "id" : "Update"
          },
          "getPSAppDataEntity" : {
            "modelref" : true,
            "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZBOOK.json"
          }
        } ],
        "enableDEFieldPrivilege" : false,
        "id" : "wizardpanel_form_SecondForm"
      },
      "getPSControlLogics" : [ {
        "eventNames" : "SAVE",
        "logicTag" : "wizardpanel_form_SecondForm",
        "logicType" : "CUSTOM",
        "name" : "wizardpanel_formsave"
      }, {
        "eventNames" : "LOAD",
        "logicTag" : "wizardpanel_form_SecondForm",
        "logicType" : "CUSTOM",
        "name" : "wizardpanel_formload"
      } ],
      "getPSControlParam" : {
        "getPSDEWizardForm" : {
          "modelref" : true,
          "id" : "步骤二"
        },
        "autoLoad" : true,
        "showBusyIndicator" : true,
        "id" : "wizardpanel_form_SecondForm"
      },
      "getPSDEFormItems" : [ {
        "id" : "srfupdatedate",
        "hidden" : true,
        "dataType" : 5,
        "getPSAppDEField" : {
          "name" : "UPDATEDATE",
          "codeName" : "UpdateDate"
        }
      }, {
        "id" : "srforikey",
        "hidden" : true,
        "dataType" : 25
      }, {
        "id" : "srfkey",
        "hidden" : true,
        "dataType" : 25,
        "getPSAppDEField" : {
          "name" : "IBIZBOOKID",
          "codeName" : "IBIZBOOKId"
        }
      }, {
        "id" : "srfmajortext",
        "hidden" : true,
        "dataType" : 25,
        "getPSAppDEField" : {
          "name" : "IBIZBOOKNAME",
          "codeName" : "IBIZBOOKName"
        }
      }, {
        "id" : "srftempmode",
        "hidden" : true,
        "dataType" : 25
      }, {
        "id" : "srfuf",
        "hidden" : true,
        "dataType" : 25
      }, {
        "id" : "srfdeid",
        "hidden" : true,
        "dataType" : 25
      }, {
        "id" : "srfsourcekey",
        "hidden" : true,
        "dataType" : 25
      }, {
        "id" : "stepstatus",
        "hidden" : true,
        "dataType" : 25,
        "getPSAppDEField" : {
          "name" : "STEPSTATUS",
          "codeName" : "Stepstatus"
        }
      }, {
        "id" : "ibizbookid",
        "hidden" : true,
        "dataType" : 25,
        "getPSAppDEField" : {
          "name" : "IBIZBOOKID",
          "codeName" : "IBIZBOOKId"
        }
      }, {
        "id" : "borrower",
        "dataType" : 25,
        "getPSAppDEField" : {
          "name" : "BORROWER",
          "codeName" : "Borrower"
        }
      }, {
        "id" : "borrowway",
        "dataType" : 25,
        "getPSAppDEField" : {
          "name" : "BORROWWAY",
          "codeName" : "Borrowway"
        }
      }, {
        "id" : "lendouttime",
        "dataType" : 5,
        "getPSAppDEField" : {
          "name" : "LENDOUTTIME",
          "codeName" : "Lendouttime"
        }
      } ],
      "getPSDEFormPages" : [ {
        "getCapPSLanguageRes" : {
          "lanResTag" : "CONTROL.DEFORM.IBIZBOOK.GUIDEBORROWFORM.FORMPAGE.FORMPAGE1",
          "mOSFilePath" : "pslanguageres/Auto1896",
          "rTMOSFilePath" : "pslanguageres/Auto1896"
        },
        "caption" : "基本信息",
        "codeName" : "formpage1",
        "detailStyle" : "DEFAULT",
        "detailType" : "FORMPAGE",
        "mOSFilePath" : "psdeformdetail_formpages/formpage1",
        "name" : "formpage1",
        "getPSDEFormDetails" : [ {
          "actionGroupExtractMode" : "ITEM",
          "getCapPSLanguageRes" : {
            "lanResTag" : "CONTROL.DEFORM.IBIZBOOK.GUIDEBORROWFORM.GROUPPANEL.GROUPPANEL1",
            "mOSFilePath" : "pslanguageres/Auto2012",
            "rTMOSFilePath" : "pslanguageres/Auto2012"
          },
          "caption" : "借阅基本信息",
          "codeName" : "grouppanel1",
          "detailStyle" : "DEFAULT",
          "detailType" : "GROUPPANEL",
          "mOSFilePath" : "psdeformdetail_grouppanels/grouppanel1",
          "name" : "grouppanel1",
          "getPSDEFormDetails" : [ {
            "getCapPSLanguageRes" : {
              "lanResTag" : "DEF.LNAME.STEPSTATUS",
              "mOSFilePath" : "pslanguageres/Auto1959",
              "rTMOSFilePath" : "pslanguageres/Auto1959"
            },
            "caption" : "步骤",
            "codeName" : "stepstatus",
            "dataType" : 25,
            "detailStyle" : "DEFAULT",
            "detailType" : "FORMITEM",
            "enableCond" : 3,
            "ignoreInput" : 0,
            "labelPos" : "LEFT",
            "labelWidth" : 130,
            "mOSFilePath" : "psdeformdetail_formitems/stepstatus",
            "name" : "stepstatus",
            "noPrivDisplayMode" : 1,
            "getPSAppDEField" : {
              "name" : "STEPSTATUS",
              "codeName" : "Stepstatus"
            },
            "getPSEditor" : {
              "editorType" : "HIDDEN",
              "name" : "stepstatus"
            },
            "getPSLayoutPos" : {
              "colMD" : 24,
              "layout" : "TABLE_24COL"
            },
            "rTMOSFilePath" : "psdeformdetail_formitems/stepstatus",
            "allowEmpty" : true,
            "hidden" : true,
            "showCaption" : true
          }, {
            "getCapPSLanguageRes" : {
              "lanResTag" : "DEF.LNAME.IBIZBOOKID",
              "mOSFilePath" : "pslanguageres/Auto1841",
              "rTMOSFilePath" : "pslanguageres/Auto1841"
            },
            "caption" : "图书标识",
            "codeName" : "ibizbookid",
            "dataType" : 25,
            "detailStyle" : "DEFAULT",
            "detailType" : "FORMITEM",
            "enableCond" : 3,
            "ignoreInput" : 0,
            "labelPos" : "LEFT",
            "labelWidth" : 130,
            "mOSFilePath" : "psdeformdetail_formitems/ibizbookid",
            "name" : "ibizbookid",
            "noPrivDisplayMode" : 1,
            "getPSAppDEField" : {
              "name" : "IBIZBOOKID",
              "codeName" : "IBIZBOOKId"
            },
            "getPSEditor" : {
              "editorType" : "HIDDEN",
              "name" : "ibizbookid"
            },
            "getPSLayoutPos" : {
              "colMD" : 24,
              "layout" : "TABLE_24COL"
            },
            "rTMOSFilePath" : "psdeformdetail_formitems/ibizbookid",
            "allowEmpty" : true,
            "hidden" : true,
            "showCaption" : true
          }, {
            "getCapPSLanguageRes" : {
              "lanResTag" : "DEF.LNAME.BORROWER",
              "mOSFilePath" : "pslanguageres/Auto1872",
              "rTMOSFilePath" : "pslanguageres/Auto1872"
            },
            "caption" : "借阅人",
            "codeName" : "borrower",
            "dataType" : 25,
            "detailStyle" : "DEFAULT",
            "detailType" : "FORMITEM",
            "enableCond" : 3,
            "ignoreInput" : 0,
            "labelPos" : "LEFT",
            "labelWidth" : 130,
            "mOSFilePath" : "psdeformdetail_formitems/borrower",
            "name" : "borrower",
            "noPrivDisplayMode" : 1,
            "getPSAppDEField" : {
              "name" : "BORROWER",
              "codeName" : "Borrower"
            },
            "getPSEditor" : {
              "editorType" : "TEXTBOX",
              "maxLength" : 100,
              "name" : "borrower"
            },
            "getPSLayoutPos" : {
              "colLG" : 8,
              "colMD" : 8,
              "colSM" : 8,
              "colXS" : 8,
              "layout" : "TABLE_24COL"
            },
            "rTMOSFilePath" : "psdeformdetail_formitems/borrower",
            "allowEmpty" : true,
            "showCaption" : true
          }, {
            "getCapPSLanguageRes" : {
              "lanResTag" : "DEF.LNAME.BORROWWAY",
              "mOSFilePath" : "pslanguageres/Auto2100",
              "rTMOSFilePath" : "pslanguageres/Auto2100"
            },
            "caption" : "借阅方式",
            "codeName" : "borrowway",
            "dataType" : 25,
            "detailStyle" : "DEFAULT",
            "detailType" : "FORMITEM",
            "enableCond" : 3,
            "ignoreInput" : 0,
            "labelPos" : "LEFT",
            "labelWidth" : 130,
            "mOSFilePath" : "psdeformdetail_formitems/borrowway",
            "name" : "borrowway",
            "noPrivDisplayMode" : 1,
            "getPSAppDEField" : {
              "name" : "BORROWWAY",
              "codeName" : "Borrowway"
            },
            "getPSEditor" : {
              "editorType" : "DROPDOWNLIST",
              "name" : "borrowway",
              "getPSAppCodeList" : {
                "modelref" : true,
                "path" : "PSSYSAPPS/Web/PSAPPCODELISTS/CodeList25.json"
              },
              "singleSelect" : true
            },
            "getPSLayoutPos" : {
              "colLG" : 8,
              "colMD" : 8,
              "colSM" : 8,
              "colXS" : 8,
              "layout" : "TABLE_24COL"
            },
            "rTMOSFilePath" : "psdeformdetail_formitems/borrowway",
            "allowEmpty" : true,
            "needCodeListConfig" : true,
            "showCaption" : true
          }, {
            "getCapPSLanguageRes" : {
              "lanResTag" : "DEF.LNAME.LENDOUTTIME",
              "mOSFilePath" : "pslanguageres/Auto2028",
              "rTMOSFilePath" : "pslanguageres/Auto2028"
            },
            "caption" : "借出日期",
            "codeName" : "lendouttime",
            "dataType" : 5,
            "detailStyle" : "DEFAULT",
            "detailType" : "FORMITEM",
            "enableCond" : 3,
            "ignoreInput" : 0,
            "itemWidth" : 230.0,
            "labelPos" : "LEFT",
            "labelWidth" : 130,
            "mOSFilePath" : "psdeformdetail_formitems/lendouttime",
            "name" : "lendouttime",
            "noPrivDisplayMode" : 1,
            "getPSAppDEField" : {
              "name" : "LENDOUTTIME",
              "codeName" : "Lendouttime"
            },
            "getPSEditor" : {
              "dateTimeFormat" : "YYYY-MM-DD",
              "editorParams" : {
                "TIMEFMT" : "YYYY-MM-DD"
              },
              "editorType" : "DATEPICKEREX_NOTIME",
              "editorWidth" : 100.0,
              "name" : "lendouttime"
            },
            "getPSLayoutPos" : {
              "colLG" : 8,
              "colMD" : 8,
              "colSM" : 8,
              "colXS" : 8,
              "layout" : "TABLE_24COL"
            },
            "rTMOSFilePath" : "psdeformdetail_formitems/lendouttime",
            "valueFormat" : "YYYY-MM-DD",
            "allowEmpty" : false,
            "showCaption" : true
          } ],
          "getPSLayout" : {
            "childColLG" : -1,
            "childColMD" : 24,
            "childColSM" : -1,
            "childColXS" : -1,
            "columnCount" : 24,
            "layout" : "TABLE_24COL"
          },
          "getPSLayoutPos" : {
            "colMD" : 24,
            "layout" : "TABLE_24COL"
          },
          "rTMOSFilePath" : "psdeformdetail_grouppanels/grouppanel1",
          "infoGroupMode" : false,
          "showCaption" : true
        } ],
        "getPSLayout" : {
          "childColLG" : -1,
          "childColMD" : 24,
          "childColSM" : -1,
          "childColXS" : -1,
          "columnCount" : 24,
          "layout" : "TABLE_24COL"
        },
        "rTMOSFilePath" : "psdeformdetail_formpages/formpage1",
        "infoGroupMode" : false
      } ],
      "getPSDEWizardForm" : {
        "formTag" : "SecondForm",
        "name" : "步骤二",
        "getPSDEFormName" : "向导表单-借阅图书",
        "getPSDEWizardStep" : {
          "modelref" : true,
          "id" : "借阅图书"
        },
        "stepActions" : [ "PREV", "NEXT" ],
        "firstForm" : false
      },
      "getPSLayout" : {
        "childColLG" : -1,
        "childColMD" : 24,
        "childColSM" : -1,
        "childColXS" : -1,
        "columnCount" : 24,
        "layout" : "TABLE_24COL"
      },
      "rTMOSFilePath" : "pssysapps/Web/psappdeviews/IBIZBOOKUsrWizardView_plugin/psappviewctrls/wizardpanel_form_SecondForm",
      "tabHeaderPos" : "TOP",
      "getUpdatePSControlAction" : {
        "modelref" : true,
        "id" : "update"
      },
      "noTabHeader" : true,
      "name" : "wizardpanel_form_secondform",
      "modelid" : "fae5beab76b22f34175c80025c429239",
      "modeltype" : "PSDEFORM_EDITFORM"
    }, {
      "codeName" : "GuideReturnForm",
      "controlType" : "FORM",
      "defaultLabelWidth" : 130,
      "dynaModelFilePath" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZBOOK/PSFORMS/GuideReturnForm.json",
      "formFuncMode" : "WIZARDFORM",
      "getGetPSControlAction" : {
        "modelref" : true,
        "id" : "load"
      },
      "hookEventNames" : [ "SAVE", "LOAD" ],
      "logicName" : "向导表单-归还图书",
      "mOSFilePath" : "psmodules/Sample/psdataentities/IBIZBOOK/psdeform_editforms/GuideReturnForm",
      "getPSAppDataEntity" : {
        "modelref" : true,
        "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZBOOK.json"
      },
      "getPSControlHandler" : {
        "getPSHandlerActions" : [ {
          "actionName" : "Get",
          "actionType" : "DEACTION",
          "name" : "load",
          "getPSAppDEMethod" : {
            "modelref" : true,
            "id" : "Get"
          },
          "getPSAppDataEntity" : {
            "modelref" : true,
            "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZBOOK.json"
          }
        }, {
          "actionName" : "Update",
          "actionType" : "DEACTION",
          "name" : "update",
          "getPSAppDEMethod" : {
            "modelref" : true,
            "id" : "Update"
          },
          "getPSAppDataEntity" : {
            "modelref" : true,
            "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZBOOK.json"
          }
        } ],
        "enableDEFieldPrivilege" : false,
        "id" : "wizardpanel_form_ThirdForm"
      },
      "getPSControlLogics" : [ {
        "eventNames" : "SAVE",
        "logicTag" : "wizardpanel_form_ThirdForm",
        "logicType" : "CUSTOM",
        "name" : "wizardpanel_formsave"
      }, {
        "eventNames" : "LOAD",
        "logicTag" : "wizardpanel_form_ThirdForm",
        "logicType" : "CUSTOM",
        "name" : "wizardpanel_formload"
      } ],
      "getPSControlParam" : {
        "getPSDEWizardForm" : {
          "modelref" : true,
          "id" : "步骤三"
        },
        "autoLoad" : true,
        "showBusyIndicator" : true,
        "id" : "wizardpanel_form_ThirdForm"
      },
      "getPSDEFormItems" : [ {
        "id" : "srfupdatedate",
        "hidden" : true,
        "dataType" : 5,
        "getPSAppDEField" : {
          "name" : "UPDATEDATE",
          "codeName" : "UpdateDate"
        }
      }, {
        "id" : "srforikey",
        "hidden" : true,
        "dataType" : 25
      }, {
        "id" : "srfkey",
        "hidden" : true,
        "dataType" : 25,
        "getPSAppDEField" : {
          "name" : "IBIZBOOKID",
          "codeName" : "IBIZBOOKId"
        }
      }, {
        "id" : "srfmajortext",
        "hidden" : true,
        "dataType" : 25,
        "getPSAppDEField" : {
          "name" : "IBIZBOOKNAME",
          "codeName" : "IBIZBOOKName"
        }
      }, {
        "id" : "srftempmode",
        "hidden" : true,
        "dataType" : 25
      }, {
        "id" : "srfuf",
        "hidden" : true,
        "dataType" : 25
      }, {
        "id" : "srfdeid",
        "hidden" : true,
        "dataType" : 25
      }, {
        "id" : "srfsourcekey",
        "hidden" : true,
        "dataType" : 25
      }, {
        "id" : "ibizbookid",
        "hidden" : true,
        "dataType" : 25,
        "getPSAppDEField" : {
          "name" : "IBIZBOOKID",
          "codeName" : "IBIZBOOKId"
        }
      }, {
        "id" : "stepstatus",
        "hidden" : true,
        "dataType" : 25,
        "getPSAppDEField" : {
          "name" : "STEPSTATUS",
          "codeName" : "Stepstatus"
        }
      }, {
        "id" : "returnlib",
        "dataType" : 25,
        "getPSAppDEField" : {
          "name" : "RETURNLIB",
          "codeName" : "Returnlib"
        }
      }, {
        "id" : "returntime",
        "dataType" : 5,
        "getPSAppDEField" : {
          "name" : "RETURNTIME",
          "codeName" : "Returntime"
        }
      } ],
      "getPSDEFormPages" : [ {
        "getCapPSLanguageRes" : {
          "lanResTag" : "CONTROL.DEFORM.IBIZBOOK.GUIDERETURNFORM.FORMPAGE.FORMPAGE1",
          "mOSFilePath" : "pslanguageres/Auto1912",
          "rTMOSFilePath" : "pslanguageres/Auto1912"
        },
        "caption" : "基本信息",
        "codeName" : "formpage1",
        "detailStyle" : "DEFAULT",
        "detailType" : "FORMPAGE",
        "mOSFilePath" : "psdeformdetail_formpages/formpage1",
        "name" : "formpage1",
        "getPSDEFormDetails" : [ {
          "actionGroupExtractMode" : "ITEM",
          "getCapPSLanguageRes" : {
            "lanResTag" : "CONTROL.DEFORM.IBIZBOOK.GUIDERETURNFORM.GROUPPANEL.GROUPPANEL1",
            "mOSFilePath" : "pslanguageres/Auto1987",
            "rTMOSFilePath" : "pslanguageres/Auto1987"
          },
          "caption" : "归还基本信息",
          "codeName" : "grouppanel1",
          "detailStyle" : "DEFAULT",
          "detailType" : "GROUPPANEL",
          "mOSFilePath" : "psdeformdetail_grouppanels/grouppanel1",
          "name" : "grouppanel1",
          "getPSDEFormDetails" : [ {
            "getCapPSLanguageRes" : {
              "lanResTag" : "DEF.LNAME.IBIZBOOKID",
              "mOSFilePath" : "pslanguageres/Auto1841",
              "rTMOSFilePath" : "pslanguageres/Auto1841"
            },
            "caption" : "图书标识",
            "codeName" : "ibizbookid",
            "dataType" : 25,
            "detailStyle" : "DEFAULT",
            "detailType" : "FORMITEM",
            "enableCond" : 3,
            "ignoreInput" : 0,
            "labelPos" : "LEFT",
            "labelWidth" : 130,
            "mOSFilePath" : "psdeformdetail_formitems/ibizbookid",
            "name" : "ibizbookid",
            "noPrivDisplayMode" : 1,
            "getPSAppDEField" : {
              "name" : "IBIZBOOKID",
              "codeName" : "IBIZBOOKId"
            },
            "getPSEditor" : {
              "editorType" : "HIDDEN",
              "name" : "ibizbookid"
            },
            "getPSLayoutPos" : {
              "colMD" : 24,
              "layout" : "TABLE_24COL"
            },
            "rTMOSFilePath" : "psdeformdetail_formitems/ibizbookid",
            "allowEmpty" : true,
            "hidden" : true,
            "showCaption" : true
          }, {
            "getCapPSLanguageRes" : {
              "lanResTag" : "DEF.LNAME.STEPSTATUS",
              "mOSFilePath" : "pslanguageres/Auto1959",
              "rTMOSFilePath" : "pslanguageres/Auto1959"
            },
            "caption" : "步骤",
            "codeName" : "stepstatus",
            "dataType" : 25,
            "detailStyle" : "DEFAULT",
            "detailType" : "FORMITEM",
            "enableCond" : 3,
            "ignoreInput" : 0,
            "labelPos" : "LEFT",
            "labelWidth" : 130,
            "mOSFilePath" : "psdeformdetail_formitems/stepstatus",
            "name" : "stepstatus",
            "noPrivDisplayMode" : 1,
            "getPSAppDEField" : {
              "name" : "STEPSTATUS",
              "codeName" : "Stepstatus"
            },
            "getPSEditor" : {
              "editorType" : "HIDDEN",
              "name" : "stepstatus"
            },
            "getPSLayoutPos" : {
              "colMD" : 24,
              "layout" : "TABLE_24COL"
            },
            "rTMOSFilePath" : "psdeformdetail_formitems/stepstatus",
            "allowEmpty" : true,
            "hidden" : true,
            "showCaption" : true
          }, {
            "getCapPSLanguageRes" : {
              "lanResTag" : "DEF.LNAME.RETURNLIB",
              "mOSFilePath" : "pslanguageres/Auto1854",
              "rTMOSFilePath" : "pslanguageres/Auto1854"
            },
            "caption" : "归还图馆",
            "codeName" : "returnlib",
            "dataType" : 25,
            "detailStyle" : "DEFAULT",
            "detailType" : "FORMITEM",
            "enableCond" : 3,
            "ignoreInput" : 0,
            "labelPos" : "LEFT",
            "labelWidth" : 130,
            "mOSFilePath" : "psdeformdetail_formitems/returnlib",
            "name" : "returnlib",
            "noPrivDisplayMode" : 1,
            "getPSAppDEField" : {
              "name" : "RETURNLIB",
              "codeName" : "Returnlib"
            },
            "getPSEditor" : {
              "editorType" : "DROPDOWNLIST",
              "name" : "returnlib",
              "getPSAppCodeList" : {
                "modelref" : true,
                "path" : "PSSYSAPPS/Web/PSAPPCODELISTS/CodeList.json"
              },
              "singleSelect" : true
            },
            "getPSLayoutPos" : {
              "colLG" : 12,
              "colMD" : 12,
              "colSM" : 12,
              "colXS" : 12,
              "layout" : "TABLE_24COL"
            },
            "rTMOSFilePath" : "psdeformdetail_formitems/returnlib",
            "allowEmpty" : true,
            "needCodeListConfig" : true,
            "showCaption" : true
          }, {
            "getCapPSLanguageRes" : {
              "lanResTag" : "DEF.LNAME.RETURNTIME",
              "mOSFilePath" : "pslanguageres/Auto1979",
              "rTMOSFilePath" : "pslanguageres/Auto1979"
            },
            "caption" : "归还日期",
            "codeName" : "returntime",
            "dataType" : 5,
            "detailStyle" : "DEFAULT",
            "detailType" : "FORMITEM",
            "enableCond" : 3,
            "ignoreInput" : 0,
            "itemWidth" : 230.0,
            "labelPos" : "LEFT",
            "labelWidth" : 130,
            "mOSFilePath" : "psdeformdetail_formitems/returntime",
            "name" : "returntime",
            "noPrivDisplayMode" : 1,
            "getPSAppDEField" : {
              "name" : "RETURNTIME",
              "codeName" : "Returntime"
            },
            "getPSEditor" : {
              "dateTimeFormat" : "YYYY-MM-DD",
              "editorParams" : {
                "TIMEFMT" : "YYYY-MM-DD"
              },
              "editorType" : "DATEPICKEREX_NOTIME",
              "editorWidth" : 100.0,
              "name" : "returntime"
            },
            "getPSLayoutPos" : {
              "colLG" : 12,
              "colMD" : 12,
              "colSM" : 12,
              "colXS" : 12,
              "layout" : "TABLE_24COL"
            },
            "rTMOSFilePath" : "psdeformdetail_formitems/returntime",
            "valueFormat" : "YYYY-MM-DD",
            "allowEmpty" : false,
            "showCaption" : true
          } ],
          "getPSLayout" : {
            "childColLG" : -1,
            "childColMD" : 24,
            "childColSM" : -1,
            "childColXS" : -1,
            "columnCount" : 24,
            "layout" : "TABLE_24COL"
          },
          "getPSLayoutPos" : {
            "colMD" : 24,
            "layout" : "TABLE_24COL"
          },
          "rTMOSFilePath" : "psdeformdetail_grouppanels/grouppanel1",
          "infoGroupMode" : false,
          "showCaption" : true
        } ],
        "getPSLayout" : {
          "childColLG" : -1,
          "childColMD" : 24,
          "childColSM" : -1,
          "childColXS" : -1,
          "columnCount" : 24,
          "layout" : "TABLE_24COL"
        },
        "rTMOSFilePath" : "psdeformdetail_formpages/formpage1",
        "infoGroupMode" : false
      } ],
      "getPSDEWizardForm" : {
        "formTag" : "ThirdForm",
        "name" : "步骤三",
        "getPSDEFormName" : "向导表单-归还图书",
        "getPSDEWizardStep" : {
          "modelref" : true,
          "id" : "归还图书"
        },
        "stepActions" : [ "PREV", "FINISH" ],
        "firstForm" : false
      },
      "getPSLayout" : {
        "childColLG" : -1,
        "childColMD" : 24,
        "childColSM" : -1,
        "childColXS" : -1,
        "columnCount" : 24,
        "layout" : "TABLE_24COL"
      },
      "rTMOSFilePath" : "pssysapps/Web/psappdeviews/IBIZBOOKUsrWizardView_plugin/psappviewctrls/wizardpanel_form_ThirdForm",
      "tabHeaderPos" : "TOP",
      "getUpdatePSControlAction" : {
        "modelref" : true,
        "id" : "update"
      },
      "noTabHeader" : true,
      "name" : "wizardpanel_form_thirdform",
      "modelid" : "03f18faa1498b06eb2946cae95a6c145",
      "modeltype" : "PSDEFORM_EDITFORM"
    } ],
    "getPSDEWizard" : {
      "codeName" : "guide",
      "dynaModelFilePath" : "PSMODULES/Sample/PSDATAENTITIES/IBIZBOOK/PSDEWIZARDS/guide.json",
      "getFirstPSDEWizardForm" : {
        "modelref" : true,
        "id" : "步骤一"
      },
      "mOSFilePath" : "psmodules/Sample/psdataentities/IBIZBOOK/psdewizards/guide",
      "name" : "图书向导",
      "getPSDEWizardForms" : [ {
        "formTag" : "FirstForm",
        "name" : "步骤一",
        "getPSDEFormName" : "向导表单-查看图书",
        "getPSDEWizardStep" : {
          "modelref" : true,
          "id" : "查看图书"
        },
        "stepActions" : [ "NEXT" ],
        "firstForm" : true
      }, {
        "formTag" : "SecondForm",
        "name" : "步骤二",
        "getPSDEFormName" : "向导表单-借阅图书",
        "getPSDEWizardStep" : {
          "modelref" : true,
          "id" : "借阅图书"
        },
        "stepActions" : [ "PREV", "NEXT" ],
        "firstForm" : false
      }, {
        "formTag" : "ThirdForm",
        "name" : "步骤三",
        "getPSDEFormName" : "向导表单-归还图书",
        "getPSDEWizardStep" : {
          "modelref" : true,
          "id" : "归还图书"
        },
        "stepActions" : [ "PREV", "FINISH" ],
        "firstForm" : false
      } ],
      "getPSDEWizardSteps" : [ {
        "name" : "查看图书",
        "stepTag" : "viewbook",
        "title" : "查看图书",
        "enableLink" : false
      }, {
        "name" : "借阅图书",
        "stepTag" : "borrow",
        "title" : "借阅图书",
        "enableLink" : false
      }, {
        "name" : "归还图书",
        "stepTag" : "return",
        "title" : "归还图书",
        "enableLink" : false
      } ],
      "rTMOSFilePath" : "psmodules/Sample/psdataentities/IBIZBOOK/psdewizards/guide",
      "wizardStyle" : "DEFAULT",
      "stateWizard" : false
    },
    "rTMOSFilePath" : "pssysapps/Web/psappdeviews/IBIZBOOKUsrWizardView_plugin/psappviewctrls/wizardpanel",
    "wizardStyle" : "DEFAULT",
    "showActionBar" : true,
    "showStepBar" : true,
    "name" : "wizardpanel",
    "modelid" : "b9aa2e19f77c695a6134c895aecee6ff",
    "modeltype" : "PSDEWIZARDPANEL"
  } ],
  "getPSDEViewCodeName" : "UsrWizardView_plugin",
  "getPSDEViewId" : "DC191A28-CCC6-471A-9F22-79BA614CF00C",
  "getPSSysPFPlugin" : {
    "pluginType" : "VIEW_CUSTOM",
    "pluginCode" : "bottomSteper"
  },
  "getPSViewLayoutPanel" : {
    "codeName" : "Layoutpanel",
    "controlStyle" : "APPDEWIZARDVIEW",
    "controlType" : "VIEWLAYOUTPANEL",
    "mOSFilePath" : "psmodules/Sample/psdataentities/IBIZBOOK/pssysviewlayoutpanels/Layoutpanel",
    "name" : "layoutpanel",
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZBOOK.json"
    },
    "getPSControlParam" : { },
    "rTMOSFilePath" : "pssysapps/Web/psappdeviews/IBIZBOOKUsrWizardView_plugin/psappviewctrls/layoutpanel",
    "layoutBodyOnly" : true,
    "layoutPanel" : true,
    "useDefaultLayout" : true
  },
  "rTMOSFilePath" : "pssysapps/Web/psappdeviews/IBIZBOOKUsrWizardView_plugin",
  "title" : "底部步骤条",
  "viewStyle" : "bottomSteper",
  "viewType" : "DEWIZARDVIEW",
  "enableDP" : true,
  "modelid" : "B30A816C-D046-4B05-8AFB-B3B5A3275F4F",
  "modeltype" : "PSAPPDEVIEW"
}